﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using UniversityModels.Models;

namespace UniversityContracts.ViewModels
{
    public class DocumentViewModel : IDocumentModel
    {
        public int Id { get; set; }
        public int UserId { get; set; }
        [DisplayName("Название документа")]
        public string Name { get; set; } = string.Empty;
        [DisplayName("Дата создания документа")]
        public DateTime Date { get; set; } = DateTime.Now;
        public Dictionary<int, IStudentModel> StudentDocument { get; set; } = new();
    }
}
