﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UniversityModels.Models;

namespace UniversityContracts.ViewModels
{
    public class StudentViewModel : IStudentModel
    {
        public int Id { get; set; }
        public int UserId { get; set; }
        [DisplayName("Имя студента")]
        public string Name { get; set; } = string.Empty;
        [DisplayName("Фамилия студента")]
        public string Surname { get; set; } = string.Empty;
        [DisplayName("Дата рождения студента")]
        public DateTime DateOfBirth { get; set; } = DateTime.Now;
        [DisplayName("Статус обучения")]
        public string EducationStatusName { get; set; } = string.Empty;
        public int StudentCard { get; set; }
        public int EducationStatusId { get; set; }
    }
}
